class_name: AcceptanceTester
step_decorators:
  - \Codeception\Step\Retry
  - \Codeception\Step\TryTo
  - \Codeception\Step\ConditionalAssertion
modules:
    enabled:
        - WebDriver:
            url: http://localhost:8080    # points to server started as: $ ./tests/bin/yii serve
            browser: chrome
            wait: 3    # SmartWait, if a button doesn't exist yet, it will wait a few seconds until the page has loaded.
            window_size: maximize
        - app\tests\Yii2Extended:
            # configFile: 'config/test.php'
            part: [init, orm, fixtures, email]
            # entryScript: index-test.php
            cleanup: true
            transaction: false # see https://codeception.com/docs/modules/Yii2#config
        - Asserts:
        - DataFactory:
            factories: tests/_support/factories
            depends: app\tests\Yii2Extended
# coverage:
#     enabled: true
#     include:
#       - /models/*
#       - /controllers/*
#       - /views/*
#       - /modules/forum/*
#       - /modules/rbac/*